- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EncState Struct Reference

`#include <nb_celp.h>`

List of all members.

## Public Attributes
const SpeexMode * | mode
int | first
int | frameSize
int | subframeSize
int | nbSubframes
int | windowSize
int | lpcSize
int | min_pitch
int | max_pitch
int | safe_pitch
int | bounded_pitch
int | ol_pitch
int | ol_voiced
spx_word16_t | gamma1
spx_word16_t | gamma2
float | lag_factor
spx_word16_t | lpc_floor
char * | stack
spx_sig_t * | inBuf
spx_sig_t * | frame
spx_sig_t * | excBuf
spx_sig_t * | exc
spx_sig_t * | swBuf
spx_sig_t * | sw
spx_sig_t * | innov
spx_word16_t * | window
spx_word16_t * | autocorr
spx_word16_t * | lagWindow
spx_coef_t * | lpc
spx_lsp_t * | lsp
spx_lsp_t * | qlsp
spx_lsp_t * | old_lsp
spx_lsp_t * | old_qlsp
spx_lsp_t * | interp_lsp
spx_lsp_t * | interp_qlsp
spx_coef_t * | interp_lpc
spx_coef_t * | interp_qlpc
spx_coef_t * | bw_lpc1
spx_coef_t * | bw_lpc2
spx_mem_t * | mem_sp
spx_mem_t * | mem_sw
spx_mem_t * | mem_sw_whole
spx_mem_t * | mem_exc
spx_word32_t * | pi_gain
VBRState * | vbr
float | vbr_quality
float | relative_quality
int | vbr_enabled
int | vad_enabled
int | dtx_enabled
int | dtx_count
int | abr_enabled
int | complexity
const SpeexSubmode *const * | submodes
int | submodeID
int | submodeSelect

## Detailed Description

Structure representing the full state of the narrowband encoder

## Member Data Documentation

const SpeexMode* EncState::mode

Mode corresponding to the state

int EncState::first

Is this the first frame?

int EncState::frameSize

Size of frames

int EncState::subframeSize

Size of sub-frames

int EncState::nbSubframes

Number of sub-frames

int EncState::windowSize

Analysis (LPC) window length

int EncState::lpcSize

LPC order

int EncState::min_pitch

Minimum pitch value allowed

int EncState::max_pitch

Maximum pitch value allowed

int EncState::safe_pitch

Don't use too large values for pitch (in case we lose a packet)

int EncState::bounded_pitch

Next frame should not rely on previous frames for pitch

int EncState::ol_pitch

Open-loop pitch

int EncState::ol_voiced

Open-loop voiced/non-voiced decision

spx_word16_t EncState::gamma1

Perceptual filter: A(z/gamma1)

spx_word16_t EncState::gamma2

Perceptual filter: A(z/gamma2)

float EncState::lag_factor

Lag windowing Gaussian width

spx_word16_t EncState::lpc_floor

Noise floor multiplier for A[0] in LPC analysis

char* EncState::stack

Pseudo-stack allocation for temporary memory

spx_sig_t* EncState::inBuf

Input buffer (original signal)

spx_sig_t* EncState::frame

Start of original frame

spx_sig_t* EncState::excBuf

Excitation buffer

spx_sig_t* EncState::exc

Start of excitation frame

spx_sig_t* EncState::swBuf

Weighted signal buffer

spx_sig_t* EncState::sw

Start of weighted signal frame

spx_sig_t* EncState::innov

Innovation for the frame

spx_word16_t* EncState::window

Temporary (Hanning) window

spx_word16_t* EncState::autocorr

auto-correlation

spx_word16_t* EncState::lagWindow

Window applied to auto-correlation

spx_coef_t* EncState::lpc

LPCs for current frame

spx_lsp_t* EncState::lsp

LSPs for current frame

spx_lsp_t* EncState::qlsp

Quantized LSPs for current frame

spx_lsp_t* EncState::old_lsp

LSPs for previous frame

spx_lsp_t* EncState::old_qlsp

Quantized LSPs for previous frame

spx_lsp_t* EncState::interp_lsp

Interpolated LSPs

spx_lsp_t* EncState::interp_qlsp

Interpolated quantized LSPs

spx_coef_t* EncState::interp_lpc

Interpolated LPCs

spx_coef_t* EncState::interp_qlpc

Interpolated quantized LPCs

spx_coef_t* EncState::bw_lpc1

LPCs after bandwidth expansion by gamma1 for perceptual weighting

spx_coef_t* EncState::bw_lpc2

LPCs after bandwidth expansion by gamma2 for perceptual weighting

spx_mem_t* EncState::mem_sp

Filter memory for signal synthesis

spx_mem_t* EncState::mem_sw

Filter memory for perceptually-weighted signal

spx_mem_t* EncState::mem_sw_whole

Filter memory for perceptually-weighted signal (whole frame)

spx_mem_t* EncState::mem_exc

Filter memory for excitation (whole frame)

spx_word32_t* EncState::pi_gain

Gain of LPC filter at theta=pi (fe/2)

VBRState* EncState::vbr

State of the VBR data

float EncState::vbr_quality

Quality setting for VBR encoding

float EncState::relative_quality

Relative quality that will be needed by VBR

int EncState::vbr_enabled

1 for enabling VBR, 0 otherwise

int EncState::vad_enabled

1 for enabling VAD, 0 otherwise

int EncState::dtx_enabled

1 for enabling DTX, 0 otherwise

int EncState::dtx_count

Number of consecutive DTX frames

int EncState::abr_enabled

ABR setting (in bps), 0 if off

int EncState::complexity

Complexity setting (0-10 from least complex to most complex)

const SpeexSubmode* const* EncState::submodes

Sub-mode data

int EncState::submodeID

Activated sub-mode

int EncState::submodeSelect

Mode chosen by the user (may differ from submodeID if VAD is on)

The documentation for this struct was generated from the following file:

- C:/RakNet/DependentExtensions/speex-1.1.12/libspeex/nb_celp.h